new script for building gffs code without a clean build first, then starting up the...
authorChris Koeritz <fred@gruntose.com>
Thu, 16 Jul 2015 17:35:29 +0000 (13:35 -0400)
committerChris Koeritz <fred@gruntose.com>
Thu, 16 Jul 2015 17:35:29 +0000 (13:35 -0400)
scripts/buildor/refresh_gffs_build.sh [new file with mode: 0644]

diff --git a/scripts/buildor/refresh_gffs_build.sh b/scripts/buildor/refresh_gffs_build.sh
new file mode 100644 (file)
index 0000000..8fd9e0f
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+source $FEISTY_MEOW_SCRIPTS/buildor/gffs_builders.sh
+
+echo stopping any running genesis processes...
+bash $XSEDE_TEST_ROOT/library/zap_genesis_javas.sh 
+
+echo building the code freshly, although not with a clean first...
+build_gffs 
+if [ $? -ne 0 ]; then
+  echo failed to build the code.
+fi
+
+echo starting container now and spooling its log file...
+(bash $XSEDE_TEST_ROOT/library/maybe_restart_container.sh &>$TMP/container_restarty.log & )
+tail -f ~/.GenesisII/container.log